<template>
  <div class="common-select">
    <el-select v-model="commonDefautValue" placeholder="请选择" class="common-select-sel" size="mini">
      <el-option v-for="item in commonOptions" :key="item.value" :label="item.label" :value="item.value"> </el-option>
    </el-select>
    <div class="common-select-btn">
      <i class="el-icon-setting"></i>
    </div>
  </div>
</template>

<script>
export default {
  name: "CommonSelectView",
  props: {
    commonValue: {
      type: String,
      default: ""
    },
    commonOptions: {
      type: Array,
      default: () => []
    }
  },
  data() {
    return {
      commonDefautValue: this.commonValue
    }
  },
  methods: {}
}
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style lang="scss" scoped>
.common-select {
  display: flex;
  .common-select-sel {
    width: 270px;
  }
  .common-select-btn {
    margin-left: 5px;
    font-size: 16px;
  }
}
</style>
